org.cybergarage.upnp

## Class Action

- java.lang.Object
- - org.cybergarage.upnp.Action

-     public class Action
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action(Action action)`
    `Action(Node serviceNode, Node actionNode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionListener` | `getActionListener()`
    `Node` | `getActionNode()`
    `Argument` | `getArgument(String name)`
    `int` | `getArgumentIntegerValue(String name)`
    `ArgumentList` | `getArgumentList()`
    `String` | `getArgumentValue(String name)`
    `UPnPStatus` | `getControlStatus()`
    `ArgumentList` | `getInputArgumentList()`
    `String` | `getName()`
    `ArgumentList` | `getOutputArgumentList()`
    `Service` | `getService()`
    `UPnPStatus` | `getStatus()`
    `static boolean` | `isActionNode(Node node)`
    `void` | `lock()`
    `boolean` | `performActionListener(ActionRequest actionReq)`
    `boolean` | `postControlAction()`
    `void` | `print()`
    `void` | `setActionListener(ActionListener listener)`
    `void` | `setArgumentValue(String name, int value)`
    `void` | `setArgumentValue(String name, String value)`
    `void` | `setArgumentValues(ArgumentList argList)`
    `void` | `setName(String value)`
    `void` | `setStatus(int code)`
    `void` | `setStatus(int code, String descr)`
    `void` | `unlock()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Action

          public Action(Node serviceNode,
                Node actionNode)

    - #### Action

          public Action(Action action)

  - ### Method Detail

    - #### getService

          public Service getService()

    - #### getActionNode

          public Node getActionNode()

    - #### lock

          public void lock()

    - #### unlock

          public void unlock()

    - #### isActionNode

          public static boolean isActionNode(Node node)

    - #### setName

          public void setName(String value)

    - #### getName

          public String getName()

    - #### getArgumentList

          public ArgumentList getArgumentList()

    - #### getInputArgumentList

          public ArgumentList getInputArgumentList()

    - #### getOutputArgumentList

          public ArgumentList getOutputArgumentList()

    - #### getArgument

          public Argument getArgument(String name)

    - #### setArgumentValues

          public void setArgumentValues(ArgumentList argList)

    - #### setArgumentValue

          public void setArgumentValue(String name,
                              String value)

    - #### setArgumentValue

          public void setArgumentValue(String name,
                              int value)

    - #### getArgumentValue

          public String getArgumentValue(String name)

    - #### getArgumentIntegerValue

          public int getArgumentIntegerValue(String name)

    - #### getActionListener

          public ActionListener getActionListener()

    - #### setActionListener

          public void setActionListener(ActionListener listener)

    - #### performActionListener

          public boolean performActionListener(ActionRequest actionReq)

    - #### getControlStatus

          public UPnPStatus getControlStatus()

    - #### postControlAction

          public boolean postControlAction()

    - #### print

          public void print()

    - #### setStatus

          public void setStatus(int code,
                       String descr)

    - #### setStatus

          public void setStatus(int code)

    - #### getStatus

          public UPnPStatus getStatus()